## python-cooler 0.8.8

=== requirements.txt ===
six
numpy>=1.9
scipy>=0.16
pandas
h5py>=2.5
click>=7
cytoolz
multiprocess
pyfaidx
pypairix
asciitree
pyyaml
simplejson

=== debian/changelog ===
python-cooler (0.8.8-1) unstable; urgency=medium

  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2020 20:59:34 +0200

python-cooler (0.8.7-1) unstable; urgency=medium

  * Initial release (Closes: #962792)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jun 2020 09:42:55 +0200

=== debian/control ===
Source: python-cooler
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-simplejson <!nocheck>,
               python3-six <!nocheck>,
               python3-pandas <!nocheck>,
               python3-scipy <!nocheck>,
               python3-h5py <!nocheck>,
               python3-asciitree <!nocheck>,
               python3-multiprocess <!nocheck>,
               python3-click <!nocheck>,
               python3-cytoolz <!nocheck>,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-cooler
Vcs-Git: https://salsa.debian.org/med-team/python-cooler.git
Homepage: https://github.com/mirnylab/cooler
Rules-Requires-Root: no

Package: python3-cooler
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-six,
         python3-numpy,
         python3-scipy,
         python3-pandas,
         python3-h5py,
         python3-click,
         python3-pysam,
         python3-cytoolz,
         python3-multiprocess,
         python3-biopython,
         python3-pyfaidx,
         python3-pairix,
         python3-asciitree,
         python3-yaml,
         python3-simplejson
Recommends: python3-dask
Description: library for a sparse, compressed, binary persistent storage
 Cooler is a support library for a sparse, compressed, binary persistent
 storage format, also called cooler, used to store genomic interaction
 data, such as Hi-C contact matrices.
 .
 The cooler file format is an implementation of a genomic matrix data
 model using HDF5 as the container format. The cooler package includes a
 suite of command line tools and a Python API to facilitate creating,
 querying and manipulating cooler files.

Package: python3-cooler-examples
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
Enhances: python3-cooler
Description: library for a sparse, compressed, binary persistent storage (examples)
 Cooler is a support library for a sparse, compressed, binary persistent
 storage format, also called cooler, used to store genomic interaction
 data, such as Hi-C contact matrices.
 .
 The cooler file format is an implementation of a genomic matrix data
 model using HDF5 as the container format. The cooler package includes a
 suite of command line tools and a Python API to facilitate creating,
 querying and manipulating cooler files.
 .
 This package contains some example data.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=cooler

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples
	cd debian/python3-$(PYBUILD_NAME)-examples/usr/share/doc/python3-$(PYBUILD_NAME) && tar caf tests.tar.xz tests && rm -rf tests

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mirnylab/cooler/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## python-cooler 0.8.11

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pandas
 h5py>=2.5
 click>=7
-cytoolz
+cytoolz<0.11
 multiprocess
 pyfaidx
 pypairix

=== docs/requirements.txt ===
Sphinx>=1.6
sphinx-rtd-theme
numpydoc
recommonmark
m2r
mock
six
multiprocess
click
asciitree
pyyaml

=== debian/changelog ===
python-cooler (0.8.11-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Do not include file mode and timestamps in tarball
    Closes: #1003316

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jan 2022 08:15:46 +0100

python-cooler (0.8.11-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #1000814
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Upstream is testing the extra requirement if ipytree (see ITP #985001).
    These tests are excluded for the moment.
    Closes: #979625

  [ Nilesh Patra ]
  * Make Build Reproducible (Closes: #965361)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Dec 2021 08:27:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-multiprocess <!nocheck>,
                python3-click <!nocheck>,
                python3-cytoolz <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-cooler
 Vcs-Git: https://salsa.debian.org/med-team/python-cooler.git
 Homepage: https://github.com/mirnylab/cooler
@@ -43,6 +43,7 @@
          python3-yaml,
          python3-simplejson
 Recommends: python3-dask
+Suggests: python3-pip
 Description: library for a sparse, compressed, binary persistent storage
  Cooler is a support library for a sparse, compressed, binary persistent
  storage format, also called cooler, used to store genomic interaction
@@ -59,6 +60,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
 Enhances: python3-cooler
+Multi-Arch: foreign
 Description: library for a sparse, compressed, binary persistent storage (examples)
  Cooler is a support library for a sparse, compressed, binary persistent
  storage format, also called cooler, used to store genomic interaction

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=cooler

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples
	cd debian/python3-$(PYBUILD_NAME)-examples/usr/share/doc/python3-$(PYBUILD_NAME) && tar --create --owner=0 --group=0 --numeric-owner --sort=name --mtime="@$(SOURCE_DATE_EPOCH)" --mode=u=wrX,og=rX --file tests.tar.xz tests && rm -rf tests

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-mock, python3-dask
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mirnylab/cooler/releases .*/v?@ANY_VERSION@\.tar\.gz

## python-cooler 0.9.1

=== Makefile ===
.PHONY: init install clean-pyc clean-build build test publish docs-init docs

init:
	conda install --file requirements.txt

install:
	pip install -e .

test:
	pytest

clean-pyc:
	find . -name '*.pyc' -exec rm --force {} +
	find . -name '*.pyo' -exec rm --force {} +
	find . -name '*~' -exec rm --force  {} +

clean-build:
	rm -rf build/
	rm -rf dist/
	rm -f .coverage
	rm -f coverage.xml
	rm -rf htmlcov/

clean: clean-pyc clean-build

build: clean-build
	python setup.py sdist
	python setup.py bdist_wheel

publish: build
	twine upload dist/*

publish-test: build
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
	# pip install --extra-index-url https://test.pypi.org/simple/ cooler

docs-init:
	conda install --file docs/requirements.txt

docs:
	cd docs && python make_cli_rst.py && make html

=== requirements.txt ===
numpy>=1.9
scipy>=0.16
pandas>1.0
h5py>=2.5
click>=7
cytoolz
multiprocess
pyfaidx
asciitree
pyyaml
simplejson

=== docs/requirements.txt ===
--- 
+++ 
@@ -9,3 +9,4 @@
 click
 asciitree
 pyyaml
+simplejson

=== debian/changelog ===
python-cooler (0.9.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 07 Feb 2023 20:35:24 +0100

python-cooler (0.9.1-0exp1) experimental; urgency=medium

  * New upstream version
  * Build against scipy (>= 1.10)
    Closes: #1029694
  * Build-Depends: pybuild-plugin-pyproject

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 14:53:00 +0100

python-cooler (0.8.11-7) unstable; urgency=medium

  * d/t/control: remove ppc64el from architectures list.

 -- Étienne Mollier <emollier@debian.org>  Tue, 10 Jan 2023 20:20:52 +0100

python-cooler (0.8.11-6) unstable; urgency=medium

  * Team upload.
  * d/rules: build tests.tar.xz only on arch=all builds. (Closes: #1028108)
  * d/rules: fix broken .xz archive.
  * skip-http-connection.patch: add; skip tests needing Internet.
  * d/copyright: update copyright year.
  * d/t/control: only test on supported architectures.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 12:09:31 +0100

python-cooler (0.8.11-5) unstable; urgency=medium

  * Standards-Version: 4.6.2 (routine-update)
  * Fix AttributeError: module 'numpy' has no attribute 'object'.
    with numpy/1.24.1
    Closes: #1027251

 -- Andreas Tille <tille@debian.org>  Thu, 29 Dec 2022 20:28:52 +0100

python-cooler (0.8.11-4) unstable; urgency=medium

  * Does not pass its test suite on 32bit architectures
  * ipytree tests are excluded
    Closes: #979625

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2022 13:03:43 +0100

python-cooler (0.8.11-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Sep 2022 15:40:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,32 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-simplejson <!nocheck>,
                python3-six <!nocheck>,
                python3-pandas <!nocheck>,
-               python3-scipy <!nocheck>,
+               python3-scipy (>= 1.10~) <!nocheck>,
                python3-h5py <!nocheck>,
                python3-asciitree <!nocheck>,
                python3-multiprocess <!nocheck>,
                python3-click <!nocheck>,
                python3-cytoolz <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-cooler
 Vcs-Git: https://salsa.debian.org/med-team/python-cooler.git
 Homepage: https://github.com/mirnylab/cooler
 Rules-Requires-Root: no
 
 Package: python3-cooler
-Architecture: all
+Architecture: any-amd64 arm64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-six,
          python3-numpy,
-         python3-scipy,
+         python3-scipy (>= 1.10~),
          python3-pandas,
          python3-h5py,
          python3-click,

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=cooler

%:
	dh $@ --with python3 --buildsystem=pybuild

EXAMPLES_DIR = $(CURDIR)/debian/python3-$(PYBUILD_NAME)-examples
execute_after_dh_installexamples-indep:
	cd $(EXAMPLES_DIR)/usr/share/doc/python3-$(PYBUILD_NAME) \
	&& tar --create \
		--owner=0 --group=0 --numeric-owner \
		--sort=name --mtime="@$(SOURCE_DATE_EPOCH)" \
		--mode=u=wrX,og=rX \
		--xz \
		--file tests.tar.xz tests \
	&& rm -rf tests

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-mock, python3-dask
Restrictions: allow-stderr
Architecture: any-amd64 arm64 mips64el ia64 ppc64 riscv64 sparc64 alpha

## python-cooler 0.9.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cooler.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cooler.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cooler"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cooler"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-cooler (0.9.3-1) unstable; urgency=medium

  [ Ananthu C V ]
  * New upstream version 0.9.3
    Closes: #1053940
  * update build deps
  * add patch to remove pytest coverage
  * update file path in copyright
  * fix files perms
  * update the reason for experimental ci target

  [ Andreas Tille ]
  * Add support for loong64
    Closes: #1059845
  * Do not try to build i386 in Salsa CI

 -- Andreas Tille <tille@debian.org>  Sun, 04 Feb 2024 20:09:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,23 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-simplejson <!nocheck>,
-               python3-six <!nocheck>,
-               python3-pandas <!nocheck>,
+               python3-pandas (>= 2.1) <!nocheck>,
                python3-scipy (>= 1.10~) <!nocheck>,
                python3-h5py <!nocheck>,
                python3-asciitree <!nocheck>,
                python3-multiprocess <!nocheck>,
                python3-click <!nocheck>,
                python3-cytoolz <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-biopython <!nocheck>,
+               python3-pyfaidx <!nocheck>,
+               python3-pysam <!nocheck>,
+               python3-pairix <!nocheck>,
+               python3-yaml <!nocheck>,
+               python3-dask <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-cooler
 Vcs-Git: https://salsa.debian.org/med-team/python-cooler.git
@@ -24,14 +31,13 @@
 Rules-Requires-Root: no
 
 Package: python3-cooler
-Architecture: any-amd64 arm64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
+Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-six,
          python3-numpy,
          python3-scipy (>= 1.10~),
-         python3-pandas,
+         python3-pandas(>= 2.1),
          python3-h5py,
          python3-click,
          python3-pysam,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # DH_VERBOSE := 1
 
 export PYBUILD_NAME=cooler
+export BUILDDIR = {build_dir}
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -17,3 +18,7 @@
 		--xz \
 		--file tests.tar.xz tests \
 	&& rm -rf tests
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -type f -path "*/cli/*" \( -name "makebins.py" -o -name "balance.py" \) -exec chmod 0644 {} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-mock, python3-dask
Restrictions: allow-stderr
Architecture: any-amd64 arm64 loong64 mips64el ia64 ppc64 riscv64 sparc64 alpha

## python-cooler 0.10.2

=== debian/changelog ===
python-cooler (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.2
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 31 Aug 2024 00:16:50 +0200

## python-cooler 0.10.3

=== docs/requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 recommonmark
 m2r
 mock
-six
 multiprocess
 click
 asciitree

=== debian/changelog ===
python-cooler (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.3
  * Autopkgtest does not need python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Jan 2025 01:11:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-hatchling,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export BUILDDIR = {build_dir}
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 EXAMPLES_DIR = $(CURDIR)/debian/python3-$(PYBUILD_NAME)-examples
 execute_after_dh_installexamples-indep:

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-dask
Restrictions: allow-stderr
Architecture: any-amd64 arm64 loong64 mips64el ia64 ppc64 riscv64 sparc64 alpha

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/mirnylab/cooler/tags .*/v?@ANY_VERSION@\.tar\.gz
